Skip to content

哔哩哔哩 API - 视频详情 (V2)

prod-global
GET
/api/bilibili/get-video-detail/v2

获取指定Bilibili视频的完整详情,包括元数据(标题、标签、发布时间)、统计数据(播放量、点赞数、弹幕数)以及上传者资料信息。

典型使用场景:

  • 追踪视频表现与互动指标。
  • 分析内容元数据及上传者信息。

请求参数

参数名位置类型必填说明
tokenquerystringAPI 的访问令牌。
bvidquerystringBilibili 视频 ID (BVID)。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/bilibili/get-video-detail/v2?token=YOUR_API_KEY&bvid=VALUE"
text
我想使用 Just One API 提供的“视频详情 (V2)”接口。
接口地址: https://api.justoneapi.com/api/bilibili/get-video-detail/v2
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/bilibili-apis/video-details-v2-zh.json

请求参数说明:
- token (query): API 的访问令牌。 (必填)
- bvid (query): Bilibili 视频 ID (BVID)。 (必填)

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/bilibili/get-video-detail/v2?token=YOUR_API_KEY&bvid=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/bilibili/get-video-detail/v2?token=YOUR_API_KEY&bvid=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/bilibili/get-video-detail/v2?token=YOUR_API_KEY&bvid=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/bilibili/get-video-detail/v2?token=YOUR_API_KEY&bvid=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/bilibili/get-video-detail/v2?token=YOUR_API_KEY&bvid=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "spmidPrefix": "333.788",
    "inWechat": false,
    "isClient": false,
    "isPrVideo": false,
    "isModern": false,
    "error": {},
    "pageTheme": "light",
    "bmpDefDomain": "",
    "defaultWbiKey": {
      "wbiImgKey": "2590160e9f5142d4a501feda0490f3bd",
      "wbiSubKey": "34ba9c5c4a824b368e9c053be34016bd"
    },
    "urlRuleKv": {
      "whitelist": {
        "domain": [
          "bilibili.com"
        ],
        "rex": []
      },
      "blacklist": {
        "domain": [],
        "rex": []
      }
    },
    "channelKv": [
      {
        "channelId": 25,
        "tid": 1011,
        "route": "ai",
        "name": "人工智能",
        "tkey": "CommonChannel:ai",
        "url": "//www.bilibili.com/c/ai/",
        "icon": "homeicon/ai/1",
        "sub": [
          {
            "subChannelId": 250001,
            "tid": 2096,
            "route": "tutorial",
            "name": "AI学习",
            "tkey": "CommonChannel:aiTutorial",
            "url": ""
          }
        ],
        "config": {
          "enableSub": 0
        }
      }
    ],
    "ugcUnloginKv": {
      "play_limit": {
        "threshold": 900,
        "abtest": {
          "V_VT_1": 30,
          "V_VT_2": 60
        }
      }
    },
    "aid": 114733139104444,
    "bvid": "BV1JiKhzDEmo",
    "cid": 30659969522,
    "p": 1,
    "cidMap": {
      "114733139104444": {
        "aid": 114733139104444,
        "bvid": "BV1JiKhzDEmo",
        "cids": {
          "1": 30659969522
        }
      },
      "BV1JiKhzDEmo": {
        "aid": 114733139104444,
        "bvid": "BV1JiKhzDEmo",
        "cids": {
          "1": 30659969522
        }
      }
    },
    "premiereInfo": null,
    "user": {},
    "videoData": {
      "bvid": "BV1JiKhzDEmo",
      "aid": 114733139104444,
      "videos": 1,
      "tid": 207,
      "tid_v2": 2087,
      "tname": "",
      "tname_v2": "",
      "copyright": 1,
      "pic": "http://i2.hdslb.com/bfs/archive/06b4b08430ac303757bacf8dcbb3ee47f77230ea.jpg",
      "title": "做短线主线是王道,教你如何识别主线题材!",
      "pubdate": 1750688988,
      "ctime": 1750688988,
      "desc": "题材轮动眼花缭乱,这期硬核拆解短线选题材的终极法则!",
      "desc_v2": [
        {
          "raw_text": "题材轮动眼花缭乱,这期硬核拆解短线选题材的终极法则!",
          "type": 1,
          "biz_id": 0
        }
      ],
      "state": 0,
      "duration": 509,
      "rights": {
        "bp": 0,
        "elec": 0,
        "download": 1,
        "movie": 0,
        "pay": 0,
        "hd5": 0,
        "no_reprint": 1,
        "autoplay": 0,
        "ugc_pay": 0,
        "is_cooperation": 0,
        "ugc_pay_preview": 0,
        "no_background": 0,
        "clean_mode": 0,
        "is_stein_gate": 0,
        "is_360": 0,
        "no_share": 0,
        "arc_pay": 0,
        "free_watch": 0
      },
      "owner": {
        "mid": 554414980,
        "name": "韭菜周的觉醒之路",
        "face": "https://i1.hdslb.com/bfs/face/bf8dbefe366de4155d54e2475b5a8aa5fa723854.jpg"
      },
      "stat": {
        "aid": 114733139104444,
        "view": 2867,
        "danmaku": 7,
        "reply": 21,
        "favorite": 78,
        "coin": 144,
        "share": 21,
        "now_rank": 0,
        "his_rank": 0,
        "like": 142,
        "dislike": 0,
        "evaluation": "",
        "vt": 0,
        "viewseo": 2867
      },
      "argue_info": {
        "argue_msg": "作者声明:个人观点,仅供参考",
        "argue_type": 0,
        "argue_link": ""
      },
      "dynamic": "",
      "cid": 30659969522,
      "dimension": {
        "width": 2216,
        "height": 1080,
        "rotate": 0
      },
      "season_id": 5044192,
      "premiere": null,
      "teenage_mode": 0,
      "is_chargeable_season": false,
      "is_story": false,
      "is_upower_exclusive": true,
      "is_upower_play": false,
      "is_upower_preview": true,
      "enable_vt": 0,
      "vt_display": "",
      "is_upower_exclusive_with_qa": false,
      "no_cache": false,
      "pages": [
        {
          "cid": 30659969522,
          "page": 1,
          "from": "vupload",
          "part": "做短线主线是王道,教你如何识别主线题材!",
          "duration": 509,
          "vid": "",
          "weblink": "",
          "dimension": {
            "width": 2216,
            "height": 1080,
            "rotate": 0
          },
          "first_frame": "http://i2.hdslb.com/bfs/storyff/n250623sa3au3b7p0zg6sips3m4enqqr_firsti.jpg",
          "ctime": 1750688988
        }
      ],
      "subtitle": {
        "allow_submit": false,
        "list": []
      },
      "ugc_season": {
        "id": 5044192,
        "title": "充电视频",
        "cover": "https://archive.biliimg.com/bfs/archive/807dbdaa1e73a0020d82f7db9ad33c17f6b1e3a0.jpg",
        "mid": 554414980,
        "intro": "交易技术|情绪周期|交易体系|交易系统",
        "sign_state": 0,
        "attribute": 140,
        "sections": [
          {
            "season_id": 5044192,
            "id": 5616368,
            "title": "正片",
            "type": 1,
            "episodes": [
              {
                "season_id": 5044192,
                "section_id": 5616368,
                "id": 175096593,
                "aid": 116029766243995,
                "cid": 35893478185,
                "title": "20260206 混沌期找确定性买点",
                "attribute": 8,
                "arc": {
                  "aid": 116029766243995,
                  "videos": 0,
                  "type_id": 0,
                  "type_name": "",
                  "copyright": 0,
                  "pic": "http://i2.hdslb.com/bfs/archive/af94f560d516ddda59c2b9c0cf9ea499c84f1b48.jpg",
                  "title": "20260206 混沌期找确定性买点",
                  "pubdate": 1770474038,
                  "ctime": 1770474038,
                  "desc": "",
                  "state": 0,
                  "duration": 2237,
                  "rights": {
                    "bp": 0,
                    "elec": 0,
                    "download": 0,
                    "movie": 0,
                    "pay": 0,
                    "hd5": 0,
                    "no_reprint": 0,
                    "autoplay": 0,
                    "ugc_pay": 0,
                    "is_cooperation": 0,
                    "ugc_pay_preview": 0,
                    "arc_pay": 0,
                    "free_watch": 0
                  },
                  "author": {
                    "mid": 554414980,
                    "name": "韭菜周的觉醒之路",
                    "face": "https://i1.hdslb.com/bfs/face/bf8dbefe366de4155d54e2475b5a8aa5fa723854.jpg"
                  },
                  "stat": {
                    "aid": 116029766243995,
                    "view": 1459,
                    "danmaku": 12,
                    "reply": 10,
                    "fav": 69,
                    "coin": 29,
                    "share": 2,
                    "now_rank": 0,
                    "his_rank": 0,
                    "like": 36,
                    "dislike": 0,
                    "evaluation": "",
                    "argue_msg": "",
                    "vt": 0,
                    "vv": 1459
                  },
                  "dynamic": "",
                  "dimension": {
                    "width": 0,
                    "height": 0,
                    "rotate": 0
                  },
                  "desc_v2": null,
                  "is_chargeable_season": false,
                  "is_blooper": false,
                  "enable_vt": 0,
                  "vt_display": "",
                  "type_id_v2": 0,
                  "type_name_v2": "",
                  "is_lesson_video": 0
                },
                "page": {
                  "cid": 35893478185,
                  "page": 1,
                  "from": "vupload",
                  "part": "【短线升维教程】:如何在混沌行情中「识别」确定性买点?",
                  "duration": 2237,
                  "vid": "",
                  "weblink": "",
                  "dimension": {
                    "width": 1920,
                    "height": 1080,
                    "rotate": 0
                  }
                },
                "bvid": "BV1ZnF4zXE9Y",
                "pages": [
                  {
                    "cid": 35893478185,
                    "page": 1,
                    "from": "vupload",
                    "part": "【短线升维教程】:如何在混沌行情中「识别」确定性买点?",
                    "duration": 2237,
                    "vid": "",
                    "weblink": "",
                    "dimension": {
                      "width": 1920,
                      "height": 1080,
                      "rotate": 0
                    }
                  }
                ]
              }
            ]
          }
        ],
        "stat": {
          "season_id": 5044192,
          "view": 52373,
          "danmaku": 309,
          "reply": 432,
          "fav": 1550,
          "coin": 1417,
          "share": 176,
          "now_rank": 0,
          "his_rank": 0,
          "like": 1521,
          "vt": 0,
          "vv": 0
        },
        "ep_count": 21,
        "season_type": 1,
        "is_pay_season": false,
        "enable_vt": 0
      },
      "is_season_display": true,
      "user_garb": {
        "url_image_ani_cut": ""
      },
      "honor_reply": {},
      "like_icon": "",
      "need_jump_bv": false,
      "disable_show_up_info": false,
      "is_story_play": 0,
      "is_view_self": false,
      "embedPlayer": {
        "p": 1,
        "aid": 114733139104444,
        "bvid": "BV1JiKhzDEmo",
        "cid": 30659969522,
        "vid": "",
        "vtype": "vupload",
        "stats": {
          "spmId": "333.788.0.0",
          "spmIdFrom": "333.788.0.0"
        },
        "t": 0,
        "fromDid": null,
        "featureList": {}
      }
    },
    "availableVideoList": [
      {
        "aid": 116029766243995,
        "bvid": "BV1ZnF4zXE9Y",
        "cid": 35893478185,
        "upid": 554414980,
        "title": "20260206 混沌期找确定性买点",
        "cover": "http://i2.hdslb.com/bfs/archive/af94f560d516ddda59c2b9c0cf9ea499c84f1b48.jpg",
        "is_lesson_video": false,
        "redirect_url": "",
        "list": [
          {
            "aid": 116029766243995,
            "bvid": "BV1ZnF4zXE9Y",
            "cid": 35893478185,
            "p": 1,
            "title": "【短线升维教程】:如何在混沌行情中「识别」确定性买点?"
          }
        ]
      }
    ],
    "upData": {
      "mid": "554414980",
      "name": "韭菜周的觉醒之路",
      "approve": false,
      "sex": "男",
      "rank": "10000",
      "face": "https://i1.hdslb.com/bfs/face/bf8dbefe366de4155d54e2475b5a8aa5fa723854.jpg",
      "face_nft": 0,
      "face_nft_type": 0,
      "DisplayRank": "0",
      "regtime": 0,
      "spacesta": 0,
      "birthday": "",
      "place": "",
      "description": "",
      "article": 0,
      "attentions": [],
      "fans": 19757,
      "friend": 367,
      "attention": 367,
      "sign": "专注情绪周期 拆解短线盘面 死磕龙头战法,用涨停板重写人生。觉醒之后,便是成长 @韭菜周的成长之路 ",
      "level_info": {
        "current_level": 6,
        "current_min": 0,
        "current_exp": 0,
        "next_exp": 0
      },
      "pendant": {
        "pid": 0,
        "name": "",
        "image": "",
        "expire": 0,
        "image_enhance": "",
        "image_enhance_frame": "",
        "n_pid": 0
      },
      "nameplate": {
        "nid": 0,
        "name": "",
        "image": "",
        "image_small": "",
        "level": "",
        "condition": ""
      },
      "Official": {
        "role": 0,
        "title": "",
        "desc": "",
        "type": -1
      },
      "official_verify": {
        "type": -1,
        "desc": ""
      },
      "vip": {
        "type": 0,
        "status": 0,
        "due_date": 0,
        "vip_pay_type": 0,
        "theme_type": 0,
        "label": {
          "path": "",
          "text": "",
          "label_theme": "",
          "text_color": "",
          "bg_style": 0,
          "bg_color": "",
          "border_color": "",
          "use_img_label": true,
          "img_label_uri_hans": "",
          "img_label_uri_hant": "",
          "img_label_uri_hans_static": "https://i0.hdslb.com/bfs/vip/d7b702ef65a976b20ed854cbd04cb9e27341bb79.png",
          "img_label_uri_hant_static": "https://i0.hdslb.com/bfs/activity-plat/static/20220614/e369244d0b14644f5e1a06431e22a4d5/KJunwh19T5.p...",
          "label_id": 0,
          "label_goto": null
        },
        "avatar_subscript": 0,
        "nickname_color": "",
        "role": 0,
        "avatar_subscript_url": "",
        "tv_vip_status": 0,
        "tv_vip_pay_type": 0,
        "tv_due_date": 0,
        "avatar_icon": {
          "icon_resource": {}
        },
        "ott_info": {
          "vip_type": 0,
          "pay_type": 0,
          "pay_channel_id": "",
          "status": 0,
          "overdue_time": 0
        },
        "super_vip": {
          "is_super_vip": false
        },
        "vipType": 0,
        "vipStatus": 0
      },
      "is_senior_member": 0,
      "name_render": null,
      "archiveCount": 77
    },
    "staffData": [],
    "elecFullInfo": {
      "show_info": {
        "show": true,
        "state": 3,
        "title": "充电",
        "jump_url": "https://member.bilibili.com/mall/upower-pay?mid=554414980&prePage=onlyFansVideoPlayer&oid=1147331391...",
        "icon": "https://i0.hdslb.com/bfs/garb/item/33e2e72d9a0c855f036b4cb55448f44af67a0635.png",
        "high_level": {
          "privilege_type": 70,
          "title": "该视频为「密训营」专属视频",
          "sub_title": "开通「588元档包月充电」即可观看",
          "show_button": true,
          "button_text": "去开通",
          "jump_url": {
            "up_link": "https://member.bilibili.com/mall/upower-pay?mid=554414980&prePage=onlyFansVideoPlayer",
            "paywall_link": "https://member.bilibili.com/mall/upower-pay?aid=114733139104444&banner_status=2&default_level=70&lev...",
            "previewbar_link": "https://member.bilibili.com/mall/upower-pay?aid=114733139104444&banner_status=1&default_level=70&lev..."
          },
          "intro": "技术教程+专属动态(日更) +《老法师》",
          "open": true,
          "new": true,
          "question_text": "",
          "qa_detail_link": ""
        },
        "with_qa_id": 0,
        "jump_url_web": "https://member.bilibili.com/mall/upower-pay?mid=554414980&prePage=onlyFansVideoPlayer"
      },
      "av_count": 0,
      "count": 0,
      "total_count": 952,
      "special_day": 0,
      "display_num": 0,
      "cnt_priv_type": 70,
      "list": [
        {
          "mid": 554414980,
          "pay_mid": 1038477665,
          "rank": 1,
          "uname": "一喆87",
          "avatar": "https://i2.hdslb.com/bfs/face/44a7ba7d1a28e365d8faa06a2ed751070c95a0b9.jpg",
          "message": "",
          "msg_deleted": 0,
          "vip_info": {
            "vipType": 0,
            "vipDueMsec": 0,
            "vipStatus": 0
          },
          "trend_type": 0
        }
      ]
    },
    "hasShowedOldFan": false,
    "oldFanContract": {},
    "sectionsFavState": false,
    "sectionsInfo": {
      "id": 5044192,
      "title": "充电视频",
      "cover": "https://archive.biliimg.com/bfs/archive/807dbdaa1e73a0020d82f7db9ad33c17f6b1e3a0.jpg",
      "mid": 554414980,
      "intro": "交易技术|情绪周期|交易体系|交易系统",
      "sign_state": 0,
      "attribute": 140,
      "sections": [
        {
          "season_id": 5044192,
          "id": 5616368,
          "title": "正片",
          "type": 1,
          "episodes": [
            {
              "season_id": 5044192,
              "section_id": 5616368,
              "id": 175096593,
              "aid": 116029766243995,
              "cid": 35893478185,
              "title": "20260206 混沌期找确定性买点",
              "attribute": 8,
              "arc": {
                "aid": 116029766243995,
                "videos": 0,
                "type_id": 0,
                "type_name": "",
                "copyright": 0,
                "pic": "http://i2.hdslb.com/bfs/archive/af94f560d516ddda59c2b9c0cf9ea499c84f1b48.jpg",
                "title": "20260206 混沌期找确定性买点",
                "pubdate": 1770474038,
                "ctime": 1770474038,
                "desc": "",
                "state": 0,
                "duration": 2237,
                "rights": {
                  "bp": 0,
                  "elec": 0,
                  "download": 0,
                  "movie": 0,
                  "pay": 0,
                  "hd5": 0,
                  "no_reprint": 0,
                  "autoplay": 0,
                  "ugc_pay": 0,
                  "is_cooperation": 0,
                  "ugc_pay_preview": 0,
                  "arc_pay": 0,
                  "free_watch": 0
                },
                "author": {
                  "mid": 554414980,
                  "name": "韭菜周的觉醒之路",
                  "face": "https://i1.hdslb.com/bfs/face/bf8dbefe366de4155d54e2475b5a8aa5fa723854.jpg"
                },
                "stat": {
                  "aid": 116029766243995,
                  "view": 1459,
                  "danmaku": 12,
                  "reply": 10,
                  "fav": 69,
                  "coin": 29,
                  "share": 2,
                  "now_rank": 0,
                  "his_rank": 0,
                  "like": 36,
                  "dislike": 0,
                  "evaluation": "",
                  "argue_msg": "",
                  "vt": 0,
                  "vv": 1459
                },
                "dynamic": "",
                "dimension": {
                  "width": 0,
                  "height": 0,
                  "rotate": 0
                },
                "desc_v2": null,
                "is_chargeable_season": false,
                "is_blooper": false,
                "enable_vt": 0,
                "vt_display": "",
                "type_id_v2": 0,
                "type_name_v2": "",
                "is_lesson_video": 0
              },
              "page": {
                "cid": 35893478185,
                "page": 1,
                "from": "vupload",
                "part": "【短线升维教程】:如何在混沌行情中「识别」确定性买点?",
                "duration": 2237,
                "vid": "",
                "weblink": "",
                "dimension": {
                  "width": 1920,
                  "height": 1080,
                  "rotate": 0
                }
              },
              "bvid": "BV1ZnF4zXE9Y",
              "pages": [
                {
                  "cid": 35893478185,
                  "page": 1,
                  "from": "vupload",
                  "part": "【短线升维教程】:如何在混沌行情中「识别」确定性买点?",
                  "duration": 2237,
                  "vid": "",
                  "weblink": "",
                  "dimension": {
                    "width": 1920,
                    "height": 1080,
                    "rotate": 0
                  }
                }
              ]
            }
          ]
        }
      ],
      "stat": {
        "season_id": 5044192,
        "view": 52373,
        "danmaku": 309,
        "reply": 432,
        "fav": 1550,
        "coin": 1417,
        "share": 176,
        "now_rank": 0,
        "his_rank": 0,
        "like": 1521,
        "vt": 0,
        "vv": 0
      },
      "ep_count": 21,
      "season_type": 1,
      "is_pay_season": false,
      "enable_vt": 0
    },
    "tags": [
      {
        "tag_id": 1286204,
        "tag_name": "充电星计划",
        "music_id": "",
        "tag_type": "topic",
        "jump_url": "https://m.bilibili.com/topic-detail?topic_id=1286204&topic_name=%E5%85%85%E7%94%B5%E6%98%9F%E8%AE%A1...",
        "showDetail": false,
        "showReport": false,
        "timeOut": null
      }
    ],
    "queryTags": [],
    "related": [
      {
        "aid": 114454805093851,
        "cid": 29804793830,
        "bvid": "BV1voVzz9EX4",
        "duration": 2547,
        "pic": "http://i0.hdslb.com/bfs/archive/ceaf017b846e7b1de3d19398f17aeee1146a5261.jpg",
        "title": "从亏损30万到赚回300万!一个‘赌徒’顿悟:交易根本不是赌博!",
        "ai_rcmd": {},
        "owner": {
          "name": "韭菜周的觉醒之路",
          "mid": 554414980
        },
        "stat": {
          "danmaku": 268,
          "view": 90613,
          "vt": 0
        },
        "season_id": 5044168,
        "season_type": 1,
        "redirect_url": "",
        "redirected_url": "",
        "enable_vt": 0,
        "reportParams": {}
      }
    ],
    "moduleHiddenCtrl": {
      "adRightTop": false,
      "rcmdList": false,
      "rcmdActivity": false,
      "adLeftBanner": false,
      "adRightBottom": false,
      "rcmdLive": false
    },
    "spec": null,
    "loadingRcmdTabData": false,
    "rcmdTabData": {
      "tab_name": "全部",
      "archives": [],
      "has_more": false
    },
    "rcmdTabNames": [
      "主线"
    ],
    "currentRcmdTab": {
      "tab_name": "全部",
      "tab_order": 0,
      "tab_type": 1
    },
    "adData": {
      "2624": null,
      "2625": [
        {
          "id": 0,
          "contract_id": "",
          "res_id": 0,
          "asg_id": 0,
          "pos_num": 1,
          "name": "",
          "pic": "https://i0.hdslb.com/bfs/sycp/sanlian/image/bdc1713baa7143428776474197d3a214.jpeg",
          "image_urls": null,
          "litpic": "",
          "url": "https://tkio-redirect.solar-engine.com/receive/turl/bnFTtva?custom_params_1=pbaes.W6xpVxzzJoKX2ZCYuO...",
          "style": 0,
          "is_ad": true,
          "agency": "",
          "label": "",
          "intro": "",
          "creative_type": 2,
          "request_id": "1773067889527q172a25a148a101q1946",
          "creative_id": 1044943402,
          "src_id": 2629,
          "show_url": "https://tkio-redirect.solar-engine.com/receive/turl/bnFTtva?idfa_md5=__IDFAMD5__&caid=__CAID__&custo...",
          "click_url": "https://tkio-redirect.solar-engine.com/receive/turl/bnFTtva?idfa_md5=__IDFAMD5__&caid=__CAID__&custo...",
          "area": 1,
          "is_ad_loc": true,
          "ad_cb": "CJru8A0QjMawYxiqpKLyAyAFKAEw6bbzATjFFEIhMTc3MzA2Nzg4OTUyN3ExNzJhMjVhMTQ4YTEwMXExOTQ2SPfW05jNM1IG6bmk...",
          "title": "",
          "server_type": 1,
          "cm_mark": 1,
          "stime": 0,
          "mid": "",
          "activity_type": 0,
          "epid": 0,
          "season": null,
          "room": null,
          "sub_title": "",
          "ad_desc": "",
          "adver_name": "",
          "null_frame": false,
          "pic_main_color": "",
          "card_type": 0,
          "business_mark": {
            "bg_border_color": "#999999FF",
            "bg_color": "",
            "bg_color_night": "",
            "border_color": "#999999FF",
            "border_color_night": "#686868",
            "img_height": 0,
            "img_url": "",
            "img_width": 0,
            "text": "广告",
            "text_color": "#999999FF",
            "text_color_night": "#686868",
            "type": 2
          },
          "inline": {
            "inline_use_same": 0,
            "inline_type": 0,
            "inline_url": "",
            "inline_barrage_switch": 0
          },
          "operater": "",
          "jump_target": 1,
          "show_urls": [
            "https://tkio-redirect.solar-engine.com/receive/turl/bnFTtva?idfa_md5=__IDFAMD5__&caid=__CAID__&custo..."
          ],
          "click_urls": [
            "https://tkio-redirect.solar-engine.com/receive/turl/bnFTtva?idfa_md5=__IDFAMD5__&caid=__CAID__&custo..."
          ],
          "track_id": "pbaes.W6xpVxzzJoKX2ZCYuO8Jn1Ywkyo-DZfI78tOz_NLWQSsdFtCfrVKJHpE2m5iuAfRUJzahGjMNgQQiZ4SxL2vztmJjP-Hmq...",
          "feedback_panel": {
            "close_rec_tips": "操作成功",
            "open_rec_tips": "将减少展示此类广告",
            "panel_type_text": "",
            "toast": "将减少相似广告推荐"
          },
          "sales_type": 11,
          "wx_program_info": null,
          "list_type": 0,
          "crowd_id": 0
        }
      ],
      "3038": [
        {
          "id": 1745160,
          "contract_id": "",
          "res_id": 3038,
          "asg_id": 1692855,
          "pos_num": 1,
          "name": "这画上的是你吗?",
          "pic": "http://i0.hdslb.com/bfs/banner/e2f98d4f82e93cfa989bcc5e35812a4af62aa155.jpg",
          "image_urls": null,
          "litpic": "",
          "url": "https://www.bilibili.com/blackboard/era/2zRwoXMIeEqGjVCT.html",
          "style": 0,
          "agency": "",
          "label": "",
          "intro": "",
          "creative_type": 0,
          "request_id": "1773067889",
          "src_id": 3039,
          "area": 1,
          "is_ad_loc": false,
          "ad_cb": "",
          "title": "",
          "server_type": 0,
          "cm_mark": 0,
          "stime": 1772676000,
          "mid": "",
          "activity_type": 0,
          "epid": 0,
          "season": null,
          "room": null,
          "sub_title": "",
          "ad_desc": "",
          "adver_name": "",
          "null_frame": false,
          "pic_main_color": "",
          "card_type": 0,
          "business_mark": null,
          "inline": {
            "inline_use_same": 1,
            "inline_type": 0,
            "inline_url": "",
            "inline_barrage_switch": 1
          },
          "operater": "manager_banner_10948",
          "jump_target": 0,
          "show_urls": null,
          "click_urls": null,
          "track_id": "",
          "feedback_panel": null,
          "sales_type": 0,
          "wx_program_info": null,
          "list_type": 0,
          "crowd_id": 0
        }
      ],
      "4330": [
        {
          "id": 0,
          "contract_id": "",
          "res_id": 0,
          "asg_id": 0,
          "pos_num": 1,
          "name": "工房画师&百联造趣场周年活动签绘情报来袭!",
          "pic": "https://i0.hdslb.com/bfs/sycp/sanlian/image/fb89a82b8f31496a811ae6576bd58e82.png",
          "image_urls": null,
          "litpic": "",
          "url": "https://mall.bilibili.com/act/aicms/O2aaft1X6R.html?track_id=pbaes.W6xpVxzzJoKX2ZCYuO8Jn1Ywkyo-DZfI7...",
          "style": 0,
          "is_ad": true,
          "agency": "",
          "label": "",
          "intro": "",
          "creative_type": 2,
          "request_id": "1773067889527q172a25a148a101q1946",
          "creative_id": 813768561,
          "src_id": 4331,
          "area": 1,
          "is_ad_loc": true,
          "ad_cb": "CMyPqwwQxZ3/TxjxvoSEAyBDKAEw1f4oOOshQiExNzczMDY3ODg5NTI3cTE3MmEyNWExNDhhMTAxcTE5NDZI99bTmM0zUgbpuaTl...",
          "title": "工房画师&百联造趣场周年活动签绘情报来袭!",
          "server_type": 1,
          "cm_mark": 1,
          "stime": 0,
          "mid": "",
          "activity_type": 0,
          "epid": 0,
          "season": null,
          "room": null,
          "sub_title": "",
          "ad_desc": "和画师线下面对面互动",
          "adver_name": "",
          "null_frame": false,
          "pic_main_color": "",
          "card_type": 0,
          "business_mark": {
            "bg_border_color": "#999999FF",
            "bg_color": "",
            "bg_color_night": "",
            "border_color": "#999999FF",
            "border_color_night": "#686868",
            "img_height": 0,
            "img_url": "",
            "img_width": 0,
            "text": "广告",
            "text_color": "#999999FF",
            "text_color_night": "#686868",
            "type": 2
          },
          "inline": {
            "inline_use_same": 0,
            "inline_type": 0,
            "inline_url": "",
            "inline_barrage_switch": 0
          },
          "operater": "",
          "jump_target": 1,
          "show_urls": null,
          "click_urls": null,
          "track_id": "pbaes.W6xpVxzzJoKX2ZCYuO8Jn1Ywkyo-DZfI78tOz_NLWQQhPBK504IBeQz5cEC60mbENdT040HHEPTfVgao6u75_ZgmVI6n-I...",
          "feedback_panel": {
            "close_rec_tips": "操作成功",
            "feedback_panel_detail": [
              {
                "icon_url": "https://i0.hdslb.com/bfs/sycp/mng/201907/a53df8f189bb12666a39d10ad1babcf5.png",
                "jump_type": 1,
                "jump_url": "",
                "module_id": 1,
                "secondary_panel": [
                  {
                    "reason_id": 1,
                    "text": "不感兴趣"
                  }
                ],
                "sub_text": "(选择后将优化广告展示)",
                "text": "屏蔽广告"
              }
            ],
            "open_rec_tips": "将减少展示此类广告",
            "panel_type_text": "广告",
            "toast": "将减少相似广告推荐"
          },
          "sales_type": 12,
          "wx_program_info": null,
          "list_type": 0,
          "crowd_id": 0
        }
      ]
    },
    "adsControl": {
      "has_danmu": 0,
      "under_player_scroller_seconds": 60,
      "has_live_booking_ad": false
    },
    "noRecommendLive": false,
    "noRecommendActivity": false,
    "noTagAndNote": false,
    "emergencyBan": {
      "no_like": false,
      "no_coin": false,
      "no_fav": false,
      "no_share": false
    },
    "player": null,
    "continuousPlay": true,
    "nanoTheme": {
      "bpx-primary-color": "var(--brand_blue)",
      "bpx-fn-color": "var(--brand_blue)",
      "bpx-fn-hover-color": "var(--brand_blue)",
      "bpx-box-shadow": "var(--bg3)",
      "bpx-dmsend-switch-icon": "var(--text2)",
      "bpx-dmsend-hint-icon": "var(--graph_medium)",
      "bpx-aux-header-icon": "var(--graph_icon)",
      "bpx-aux-float-icon": "var(--graph_icon)",
      "bpx-aux-block-icon": "var(--text3)",
      "bpx-dmsend-info-font": "var(--text2)",
      "bpx-dmsend-input-font": "var(--text1)",
      "bpx-dmsend-hint-font": "var(--text3)",
      "bpx-aux-header-font": "var(--text1)",
      "bpx-aux-footer-font": "var(--text2)",
      "bpx-aux-footer-font-hover": "var(--text1)",
      "bpx-aux-content-font1": "var(--text1)",
      "bpx-aux-content-font2": "var(--text2)",
      "bpx-aux-content-font3": "var(--text2)",
      "bpx-aux-content-font4": "var(--text3)",
      "bpx-aux-content-font5": "var(--text3)",
      "bpx-dmsend-main-bg": "var(--bg1)",
      "bpx-dmsend-input-bg": "var(--bg3)",
      "bpx-aux-header-bg": "var(--graph_bg_regular)",
      "bpx-aux-footer-bg": "var(--graph_bg_regular)",
      "bpx-aux-content-bg": "var(--bg1)",
      "bpx-aux-button-bg": "var(--bg3)",
      "bpx-aux-button-disabled-bg": "var(--graph_bg_thin)",
      "bpx-aux-float-bg": "var(--bg1_float)",
      "bpx-aux-float-hover-bg": "var(--graph_medium)",
      "bpx-aux-cover-bg": "var(--graph_weak)",
      "bpx-dmsend-border": "var(--bg3)",
      "bpx-aux-float-border": "var(--line_light)",
      "bpx-aux-line-border": "var(--line_regular)",
      "bpx-aux-input-border": "var(--line_regular)",
      "bpx-dmsend-disable-button-bg": "var(--graph_bg_thick)",
      "bpx-dmsend-disable-button-text": "var(--text3)"
    },
    "insertScripts": [
      "//s1.hdslb.com/bfs/static/jinkela/video/video.6c3087bb9f83ebc149b2019d583cd4a5330ff332.js"
    ],
    "constants": {},
    "abtest": {
      "rcmd_tab_version": "DISABLE",
      "enable_shortcut_key": "DISABLE",
      "enable_live_anime": "ENABLE",
      "enable_strip_ad": "ENABLE",
      "comment_version_hash": "e0090ab8af"
    },
    "corePlayer": {
      "id": 0,
      "ref": "<link rel='preload' href='//s1.hdslb.com/bfs/static/player/main/core.8f38840a.js' as='script'/>",
      "str": "<script type='text/javascript' src='//s1.hdslb.com/bfs/static/player/main/core.8f38840a.js'></script...",
      "version": "4.9.71"
    },
    "dash_info": {
      "from": "local",
      "result": "suee",
      "message": "",
      "quality": 32,
      "format": "mp4",
      "timelength": 508239,
      "accept_format": "mp4,mp4,mp4,mp4",
      "accept_description": [
        "高清 1080P"
      ],
      "accept_quality": [
        80
      ],
      "video_codecid": 7,
      "seek_param": "start",
      "seek_type": "second",
      "durl": [
        {
          "order": 1,
          "length": 29867,
          "size": 445400,
          "ahead": "",
          "vhead": "",
          "url": "https://upos-sz-mirror08c.bilivideo.com/upgcxcode/22/95/30659969522/30659969522-1-416.mp4?e=ig8euxZM...",
          "backup_url": [
            "https://upos-sz-mirror08c.bilivideo.com/upgcxcode/22/95/30659969522/30659969522-1-416.mp4?e=ig8euxZM..."
          ]
        }
      ],
      "support_formats": [
        {
          "quality": 80,
          "format": "mp4",
          "new_description": "1080P 高清",
          "display_desc": "1080P",
          "superscript": "",
          "codecs": null,
          "can_watch_qn_reason": 0,
          "limit_watch_reason": 0,
          "report": {}
        }
      ],
      "high_format": null,
      "last_play_time": 0,
      "last_play_cid": 0,
      "view_info": null,
      "play_conf": {
        "is_new_description": false
      },
      "cur_language": "",
      "cur_production_type": 0,
      "auto_qn_resp": {
        "dyeid": "e4ca8137c08f82be00c2065e69aede71"
      }
    }
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。